- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Protected Member Functions

# FbxSceneReference Class Reference

Search for all occurrences

## Detailed Description

Contains information about a referenced file.

Definition at line 25 of file fbxreference.h.

`#include <fbxreference.h>`

Inheritance diagram for FbxSceneReference:
[legend]

List of all members.

## Protected Member Functions
| FbxSceneReference (FbxManager &pManager, char const *pName)
virtual bool | ConstructProperties (bool pForceSet)
virtual void | Destruct (bool pRecursive, bool pDependents)
## Basic properties
FbxPropertyT< FbxString > | ReferenceFilePath
| Path to the referenced file.
FbxPropertyT< FbxString > | ReferenceNameSpace
| Referenced file's namespace.
FbxPropertyT< FbxString > | ReferenceNodeName
| Referenced file's node name.
FbxPropertyT< FbxInt > | ReferenceDepth
| Referenced file's node depth.
FbxPropertyT< FbxBool > | IsLoaded
| `True` if referenced file is loaded.
FbxPropertyT< FbxBool > | IsLocked
| `True` if referenced file is locked.
## Proxy related properties.
FbxPropertyT< FbxBool > | IsOriginalProxy
| `True` if referenced file is the original proxy.
FbxPropertyT< FbxBool > | IsActiveProxy
| `True` if referenced file is active.
FbxPropertyT< FbxString > | ProxyManagerName
| The name of proxy manager where the referenced file's proxy can be found.
FbxPropertyT< FbxString > | ProxyTag
| Referenced file's proxy tag.

## Constructor & Destructor Documentation

FbxSceneReference | ( | FbxManager & | pManager,
|  | char const * | pName
| ) |  | `[protected]`

## Member Function Documentation

virtual bool ConstructProperties | ( | bool | pForceSet | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from FbxObject.

virtual void Destruct | ( | bool | pRecursive,
|  | bool | pDependents
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented from FbxObject.

## Member Data Documentation

FbxPropertyT< FbxString > ReferenceFilePath

Search for all occurrences

Path to the referenced file.

Definition at line 33 of file fbxreference.h.

FbxPropertyT< FbxString > ReferenceNameSpace

Search for all occurrences

Referenced file's namespace.

Definition at line 35 of file fbxreference.h.

FbxPropertyT< FbxString > ReferenceNodeName

Search for all occurrences

Referenced file's node name.

Definition at line 37 of file fbxreference.h.

FbxPropertyT< FbxInt> ReferenceDepth

Search for all occurrences

Referenced file's node depth.

Definition at line 39 of file fbxreference.h.

FbxPropertyT< FbxBool > IsLoaded

Search for all occurrences

`True` if referenced file is loaded.

Definition at line 41 of file fbxreference.h.

FbxPropertyT< FbxBool > IsLocked

Search for all occurrences

`True` if referenced file is locked.

Definition at line 43 of file fbxreference.h.

FbxPropertyT< FbxBool > IsOriginalProxy

Search for all occurrences

`True` if referenced file is the original proxy.

Definition at line 49 of file fbxreference.h.

FbxPropertyT< FbxBool > IsActiveProxy

Search for all occurrences

`True` if referenced file is active.

Definition at line 52 of file fbxreference.h.

FbxPropertyT< FbxString > ProxyManagerName

Search for all occurrences

The name of proxy manager where the referenced file's proxy can be found.

Definition at line 55 of file fbxreference.h.

FbxPropertyT< FbxString > ProxyTag

Search for all occurrences

Referenced file's proxy tag.

Remarks:
  Proxy tags are unique names assigned to proxy references to more easily manage those references in Maya.

Definition at line 59 of file fbxreference.h.

The documentation for this class was generated from the following file:

- fbxsdk/scene/fbxreference.h

FbxSceneReference FbxSceneReference FbxSceneReference FbxSceneReference FbxSceneReference FbxSceneReference FbxSceneReference FbxSceneReference FbxSceneReference FbxSceneReference
FbxSceneReference FbxSceneReference FbxSceneReference FbxSceneReference FbxSceneReference FbxSceneReference FbxSceneReference FbxSceneReference FbxSceneReference FbxSceneReference